Bug 328998 - texture buffer option is broken with floating point images
Summary: texture buffer option is broken with floating point images
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.8 Beta
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-19 10:44 UTC by Halla Rempt
Modified: 2013-12-28 14:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2013-12-19 10:44:15 UTC
Enabling the texture buffer option for the opengl canvas results in replacing a large part of the image with black tiles.

Reproducible: Always
Comment 1 Dmitry Kazakov 2013-12-24 12:00:56 UTC
Git commit 3dad1cd57df3edc4fca5d2a72829688aeb6dab56 by Dmitry Kazakov.
Committed on 24/12/2013 at 12:00.
Pushed by dkazakov into branch 'master'.

Fix openGL texture buffers on non RGB8 color spaces

We should prepare a proper pixel size when creating a buffer

M  +29   -22   krita/ui/opengl/kis_opengl_image_textures.cpp
M  +1    -0    krita/ui/opengl/kis_opengl_image_textures.h

http://commits.kde.org/calligra/3dad1cd57df3edc4fca5d2a72829688aeb6dab56
Comment 2 Dmitry Kazakov 2013-12-28 14:57:00 UTC
Git commit 4d4980e8cbb3cbfaaf1f6d092318ff95c1586ff9 by Dmitry Kazakov.
Committed on 24/12/2013 at 12:00.
Pushed by dkazakov into branch 'calligra/2.8'.

Fix openGL texture buffers on non RGB8 color spaces

We should prepare a proper pixel size when creating a buffer

M  +29   -22   krita/ui/opengl/kis_opengl_image_textures.cpp
M  +1    -0    krita/ui/opengl/kis_opengl_image_textures.h

http://commits.kde.org/calligra/4d4980e8cbb3cbfaaf1f6d092318ff95c1586ff9